Gets the static variables from function or method scope

- « uopz_get_return

- uopz_implement »

- PHP Manual
- Uopz Functions
- Gets the static variables from function or method scope

# uopz_get_static

(PECL uopz 5, PECL uopz 6, PECL uopz 7)

uopz_get_static — Gets the static variables from function or method scope

### Description

uopz_get_static(string `$class`, string `$function`): array
uopz_get_static(string `$function`): array

Gets the static variables from function or method scope.

### Parameters

`class`

  The name of the class.

`function`

  The name of the function or method.

### Return Values

Returns an associative array of variable names mapped to their current values on success, or `null` if the function or method does not exist.

### Examples

Example #1 Basic uopz_get_static() Usage

    <?phpfunction foo() {    static $bar = 'baz';}var_dump(uopz_get_static('foo'));?>

The above example will output:

    array(1) {
      ["bar"]=>
      string(3) "baz"
    }

### See Also

- uopz_set_static() - Sets the static variables in function or method scope